# Led Curtain DEMO

This example demonstrates GPIO Port library functionalities.
Turn on switches for PORT LEDS in the BOARD SETUP section of your board
to see PORT B LEDs light up and turn off in "curtain"-like motion.

---

- **Author**      : MIKROE
- **Version**     : 2.0.0.19
- **Date**        : July 2024.

---

## Hardware Support

- Put PORT LED switches in ON position.
- ![image](https://download.mikroe.com/images/mikrosdk/v2/demos/demo_port_leds_switch.png)

---

## Software Support

We provide simple demo code for toggling LEDs. To run this example, follow these steps:

1. Install the package from Package manager.
2. Open example.
3. It will take you to setups, so make one for your hardware.
4. Choose adequate setup and the project will open.
5. Program it by clicking on **Flash**.
6. LEDs on port B should start toggling in "curtain"-like motion.

Make sure port B exists on your hardware. If not, you can change the port in code.
